<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Sat Apr 25 19:48:02 CEST 2020 -->
<title>MultiSetIF</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-04-25">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MultiSetIF";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MultiSetIF.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">es.uned.lsi.eped.DataStructures</a></div>
<h2 title="Interface MultiSetIF" class="title">Interface MultiSetIF&lt;E&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><code><a href="CollectionIF.html" title="interface in es.uned.lsi.eped.DataStructures">CollectionIF</a>&lt;E&gt;</code>, <code><a href="ContainerIF.html" title="interface in es.uned.lsi.eped.DataStructures">ContainerIF</a>&lt;E&gt;</code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">MultiSetIF&lt;E&gt;</span>
extends <a href="ContainerIF.html" title="interface in es.uned.lsi.eped.DataStructures">ContainerIF</a>&lt;E&gt;</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="tableTab" onclick="show(4);">Abstract Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addMultiple(E,int)">addMultiple</a></span>&#8203;(<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&nbsp;e,
           int&nbsp;n)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#difference(es.uned.lsi.eped.DataStructures.MultiSetIF)">difference</a></span>&#8203;(<a href="MultiSetIF.html" title="interface in es.uned.lsi.eped.DataStructures">MultiSetIF</a>&lt;<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&gt;&nbsp;s)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#intersection(es.uned.lsi.eped.DataStructures.MultiSetIF)">intersection</a></span>&#8203;(<a href="MultiSetIF.html" title="interface in es.uned.lsi.eped.DataStructures">MultiSetIF</a>&lt;<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&gt;&nbsp;s)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isSubMultiSet(es.uned.lsi.eped.DataStructures.MultiSetIF)">isSubMultiSet</a></span>&#8203;(<a href="MultiSetIF.html" title="interface in es.uned.lsi.eped.DataStructures">MultiSetIF</a>&lt;<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&gt;&nbsp;s)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#multiplicity(E)">multiplicity</a></span>&#8203;(<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&nbsp;e)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeMultiple(E,int)">removeMultiple</a></span>&#8203;(<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&nbsp;e,
              int&nbsp;n)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#union(es.uned.lsi.eped.DataStructures.MultiSetIF)">union</a></span>&#8203;(<a href="MultiSetIF.html" title="interface in es.uned.lsi.eped.DataStructures">MultiSetIF</a>&lt;<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&gt;&nbsp;s)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.es.uned.lsi.eped.DataStructures.CollectionIF">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;es.uned.lsi.eped.DataStructures.<a href="CollectionIF.html" title="interface in es.uned.lsi.eped.DataStructures">CollectionIF</a></h3>
<code><a href="CollectionIF.html#clear()">clear</a>, <a href="CollectionIF.html#contains(E)">contains</a>, <a href="CollectionIF.html#isEmpty()">isEmpty</a>, <a href="CollectionIF.html#size()">size</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.es.uned.lsi.eped.DataStructures.ContainerIF">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;es.uned.lsi.eped.DataStructures.<a href="ContainerIF.html" title="interface in es.uned.lsi.eped.DataStructures">ContainerIF</a></h3>
<code><a href="ContainerIF.html#add(E)">add</a>, <a href="ContainerIF.html#iterator()">iterator</a>, <a href="ContainerIF.html#remove(E)">remove</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="addMultiple(java.lang.Object,int)">
<!--   -->
</a><a id="addMultiple(E,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addMultiple</h4>
<pre class="methodSignature">void&nbsp;addMultiple&#8203;(<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&nbsp;e,
                 int&nbsp;n)</pre>
</li>
</ul>
<a id="removeMultiple(java.lang.Object,int)">
<!--   -->
</a><a id="removeMultiple(E,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeMultiple</h4>
<pre class="methodSignature">void&nbsp;removeMultiple&#8203;(<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&nbsp;e,
                    int&nbsp;n)</pre>
</li>
</ul>
<a id="multiplicity(java.lang.Object)">
<!--   -->
</a><a id="multiplicity(E)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>multiplicity</h4>
<pre class="methodSignature">int&nbsp;multiplicity&#8203;(<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&nbsp;e)</pre>
</li>
</ul>
<a id="union(es.uned.lsi.eped.DataStructures.MultiSetIF)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>union</h4>
<pre class="methodSignature">void&nbsp;union&#8203;(<a href="MultiSetIF.html" title="interface in es.uned.lsi.eped.DataStructures">MultiSetIF</a>&lt;<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&gt;&nbsp;s)</pre>
</li>
</ul>
<a id="intersection(es.uned.lsi.eped.DataStructures.MultiSetIF)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>intersection</h4>
<pre class="methodSignature">void&nbsp;intersection&#8203;(<a href="MultiSetIF.html" title="interface in es.uned.lsi.eped.DataStructures">MultiSetIF</a>&lt;<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&gt;&nbsp;s)</pre>
</li>
</ul>
<a id="difference(es.uned.lsi.eped.DataStructures.MultiSetIF)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>difference</h4>
<pre class="methodSignature">void&nbsp;difference&#8203;(<a href="MultiSetIF.html" title="interface in es.uned.lsi.eped.DataStructures">MultiSetIF</a>&lt;<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&gt;&nbsp;s)</pre>
</li>
</ul>
<a id="isSubMultiSet(es.uned.lsi.eped.DataStructures.MultiSetIF)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isSubMultiSet</h4>
<pre class="methodSignature">boolean&nbsp;isSubMultiSet&#8203;(<a href="MultiSetIF.html" title="interface in es.uned.lsi.eped.DataStructures">MultiSetIF</a>&lt;<a href="MultiSetIF.html" title="type parameter in MultiSetIF">E</a>&gt;&nbsp;s)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/MultiSetIF.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
